Compatibilité wordpress / thème (Créer un compte)

  • WordPress :4.8.3
  • Statut : non résolu
14 sujets de 1 à 14 (sur un total de 14)
  • Auteur
    Messages
  • #2244423
    tubias
    Participant
    Initié WordPress
    15 contributions

    Bonjour,

    J’ai une copine qui me demande de l’aide pour son site, ce n’est pas moi qui l’ai fait, donc j’essaye de prendre mes repères 😉

    L’hébergeur annonce une mise à jour de la version de php, sachant que WordPress est à la version 4,88 je crois que ça ne pose pas de soucis à ce niveau la.

    Par contre au niveau du thème d’près ce que j’ai vu le thème ne se mets pas à jour et je n’ai pas la possibilité de le faire sauf si j’achète une nouvelle version. Pensez vous que je dois absolument mettre ce thème à jour pour que la compatibilité wordpress vs thème soit idéale?

    Au niveau des extensions, il vaut mieux aussi les mettre a jour non?

    Merci pour votre aide.

    • Version de PHP/MySQL : 7.2.14/5.5.5
    • Thème utilisé :
      BeTheme 16.3
    • Ce sujet a été modifié le il y a 1 année et 6 mois par tubias.
    #2244463
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    Bonjour, il faudra penser à mettre à jour WP.

    Si c’est bien ce thème https://themeforest.net/item/betheme-responsive-multipurpose-wordpress-theme/7758048, vous téléchargez la dernière version et remplacez les fichiers. C’est tout à fait légal.

    #2244487
    tubias
    Participant
    Initié WordPress
    15 contributions

    C’est bien ça le thème, mais la personne n’a trouve plus sa license ou je ne sais pas comment le type qui a fait le site avait fait pour installer ce thème. Dans ce cas elle doit acheter la license?

    #2244502
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    voir plus loin.

    • Cette réponse a été modifiée le il y a 1 année et 6 mois par Li-An.
    #2244503
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    En fait non, si la personne peut se reconnecter sur Themeforest, elle a le thème visible dans ses achats.

    #2244505
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    Ah j’ai mal lu. La personne qui a acheté ce thème n’est plus joignable et votre amie n’a pas de compte Themeforest ?

    #2244509
    tubias
    Participant
    Initié WordPress
    15 contributions

    Oui c’est ça, le webmaster avait installé ce thème et la personne n’a aucune donnée du compte.

    • Cette réponse a été modifiée le il y a 1 année et 6 mois par tubias.
    #2244511
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    Vous n’avez alors pas le choix. Éventuellement, vous pouvez du coup d’envisager de changer de thème si besoin/envie mais celui-là est bien maintenu.

    #2244512
    tubias
    Participant
    Initié WordPress
    15 contributions

    Merci beaucoup pour ton aide !!!

    Est il facile de passer du thème version 16 à la dernière?

    #2244515
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    Si vous n’avez pas modifié de fichiers pour personnalisé (et ce devrait être fait via un thème enfant), il suffit de supprimer les fichiers du répertoire du thème et de mettre les nouveaux fichiers (les réglages sont situés dans la base de données et ne seront pas impactés). Lisez néanmoins le changelog du thème pour voir s’il y a des consignes particulières.

    #2244519
    tubias
    Participant
    Initié WordPress
    15 contributions

    Ok super, merci beaucoup d’avoir pris le temps de répondre a mes questions.

    #2247850
    tubias
    Participant
    Initié WordPress
    15 contributions

    Bonjour à tous,

    je donne suite à mon post.

    J’ai acheté mon amie a acheté le thème, mais je rencontre un autre soucis, l’extension WPML de gestion de site multilingues doit aussi la mettre a jour. Mais je vois qu’à l’époque ou le site avait été fait il y avait pas de license. Maintenant oui! Si mon amie ne veut pas payer pour cette extention qui est bonne juste pour un an… Puis je installer un autre? Vais je garder mes pages traduites?

    Merci de votre aide.

    #2247855
    Li-An
    Modérateur
    Maître WordPress
    24093 contributions

    La version gratuite de Polylang https://wordpress.org/plugins/polylang/ permet d’importer le boulot fait sous WPML mais j’ignore si ça va couvrir vos besoins.

    #2247946
    Flobogo
    Modérateur
    Maître WordPress
    16256 contributions

    Bonjour,

    Dans ce cas, si la suggestion de Li-An vous tente, mais que la peur de faire foirer quelque chose vous retient, il faut tester en local :

    • installer sur votre ordi WAMP ou MAMP, ou encore Local By FlyWheel
    • installer WordPress dessus (même version que le site actuel), faites une sauvegarde du site en ligne (base de données d’une part, et dossier wp-content d’autre part), puis importez ces données dans le site local, pour “cloner” localement le site en ligne (voir ce tuto)
    • ensuite, désactivez WPML de l’install’ locale, installez Polylang par-dessus, et … testez 😉

    Si tout fonctionne, vous pourrez reproduire ce dernier point sur le site en ligne.

14 sujets de 1 à 14 (sur un total de 14)
  • Vous devez être connecté pour répondre à ce sujet.